Subject: Re: bug#52767: Unexpected problem with Guix System installer

From: Julien Lepiller <[email-masked]>
Date: Fri, 24 Dec 2021 06:15:47 -0500

From the backtrace I can't tell you more than this. The installer tried to run "mkfs.btrfs -f /dev/napper/crypt" but the command ended with status 1 (error). Unfortunately guix didn't capture the error. Next time you try, could you run the failid command (you'll find the exact one at the bottom) from another tty and report any error message?

Le 23 décembre 2021 20:46:55 GMT-05:00, Mathieu <[email-masked]> a écrit :
>Hey,
>
>Trying to install Guix on a 32GB thum drive, I get the attached backtrace.
>
>The partition table is gpt with 500MB for ESP, 20GB for /, 2GB for swap and remaining space for /home. I have tried btrfs and ext4 for / and /home but got backtraces related to either mkfs.btrfs or mkfs.ext4 in both cases. I also have tried encryption or no encryption, but still got backtraces. The partitions are created to the drive because I can see they are still there when I restart the installer.
>
>This is not the drive that was used to boot the Guix installer in the first place.
>
>Thanks, hope someone can understand what the issue is.